Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362269 - Constant lookup wasn't working properly
Summary: Constant lookup wasn't working properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Brandon Dunne
QA Contact: Leo Khomenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 19:06 UTC by Chris Pelland
Modified: 2017-01-12 04:42 UTC (History)
5 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1362271 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:02:11 UTC
Category: ---
Cloudforms Team: ---
lkhomenk: automate_bug+


Attachments (Terms of Use)

Description Chris Pelland 2016-08-01 19:06:34 UTC
Error:

irb(main):001:0> MiqProvisionWorkflow.class_for_platform("vmware")
# INCORRECT
=> ManageIQ::Providers::CloudManager::ProvisionWorkflow
# CORRECT
=> ManageIQ::Providers::Vmware::InfraManager::ProvisionWorkflow

Comment 1 Greg McCullough 2016-08-01 19:19:37 UTC
Fixed in PR https://github.com/ManageIQ/manageiq/pull/10102

Steps to reproduce:
1) Create new Catalog Item with Type: VMware
2) Select "Request Info" tab

Screen shows error message "Cannot create Request Info, error: wrong number of arguments (given 1, expected 2)"

Comment 2 Leo Khomenko 2016-10-06 15:04:55 UTC
as per Greg's comment - Request info page is available now


Note You need to log in before you can comment on or make changes to this bug.